Get agent strategies
curl --request GET \
--url https://api.example.com/api/strategies/agent/{agent_id}import requests
url = "https://api.example.com/api/strategies/agent/{agent_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/strategies/agent/{agent_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/strategies/agent/{agent_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/strategies/agent/{agent_id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/strategies/agent/{agent_id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/strategies/agent/{agent_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": 123,
"name": "<string>",
"agent_id": 123,
"quality_score": 123,
"success_count": 123,
"failure_count": 123,
"reasoning_steps": [
{}
],
"strategy_type": "<string>",
"support_count": 123,
"expected_success": 123,
"expected_cost": 123,
"expected_value": 123,
"confidence": 123,
"goal_bucket_id": 123,
"behavior_signature": "<string>",
"precondition": "<string>",
"action_hint": "<string>"
}Strategies & policy
Get agent strategies
Retrieve learned behavioral strategies for a specific agent.
GET
/
api
/
strategies
/
agent
/
{agent_id}
Get agent strategies
curl --request GET \
--url https://api.example.com/api/strategies/agent/{agent_id}import requests
url = "https://api.example.com/api/strategies/agent/{agent_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/strategies/agent/{agent_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/strategies/agent/{agent_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/strategies/agent/{agent_id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/strategies/agent/{agent_id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/strategies/agent/{agent_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": 123,
"name": "<string>",
"agent_id": 123,
"quality_score": 123,
"success_count": 123,
"failure_count": 123,
"reasoning_steps": [
{}
],
"strategy_type": "<string>",
"support_count": 123,
"expected_success": 123,
"expected_cost": 123,
"expected_value": 123,
"confidence": 123,
"goal_bucket_id": 123,
"behavior_signature": "<string>",
"precondition": "<string>",
"action_hint": "<string>"
}Path parameters
integer
required
Agent identifier (
u64).Query parameters
integer
default:"10"
Maximum number of strategies to return. Max:
1000.Response
Returns an array ofStrategyResponse objects.
integer
Strategy identifier.
string
Strategy name.
integer
Agent that learned this strategy.
number
Quality score (
0.0–1.0).integer
Number of successes.
integer
Number of failures.
ReasoningStepResponse[]
Ordered steps in the strategy.
string
Strategy classification.
integer
Number of supporting episodes.
number
Expected success rate (
0.0–1.0).number
Expected cost.
number
Expected value.
number
Confidence in strategy (
0.0–1.0).integer
Associated goal bucket.
string
Unique behavior signature.
string
When to apply this strategy.
string
Suggested action.
ReasoningStepResponse
| Field | Type | Description |
|---|---|---|
description | String | Step description |
sequence_order | usize | Order in the sequence |
[
{
"id": 1,
"name": "movie_booking_standard",
"agent_id": 1,
"quality_score": 0.92,
"success_count": 15,
"failure_count": 2,
"reasoning_steps": [
{ "description": "Greet user and confirm movie title", "sequence_order": 0 },
{ "description": "Check seat availability", "sequence_order": 1 },
{ "description": "Process booking", "sequence_order": 2 }
],
"strategy_type": "sequential",
"support_count": 17,
"expected_success": 0.88,
"expected_cost": 0.15,
"expected_value": 0.85,
"confidence": 0.91,
"goal_bucket_id": 101,
"behavior_signature": "greet→check→book",
"precondition": "User requests movie booking",
"action_hint": "Start with greeting and title confirmation"
}
]
